Subject: Re: Thread support in cygwin!
From: Joost Kraaijeveld <[email-masked]>
To: Samuel Thibault <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 13 Apr 2006 11:36:43 +0200

On Thu, 2006-04-13 at 11:00 +0200, Samuel Thibault wrote:
> Joost Kraaijeveld, le Thu 13 Apr 2006 10:45:39 +0200, a écrit :
> > On Thu, 2006-04-13 at 09:42 +0200, Samuel Thibault wrote:
> > > Joost Kraaijeveld, le Thu 13 Apr 2006 08:10:15 +0200, a écrit :
> > > > No, it means that _POSIX_THREADS  is not defined. 
> > > 
> > > Cygwin should define it.
> > Why? 
> 
> In unistd.h I mean. (And by really looking at it, unistd.h includes
> sys/unistd.h which itself includes sys/features.h, which defines it, so
> the problem here is probably that the user includes pthread.h instead of
> unistd.h (I haven't kept the mail)).

You are right here: see also 
http://www.opengroup.org/onlinepubs/007908799/xsh/unistd.h.html or
http://www.opengroup.org/onlinepubs/009695399/basedefs/unistd.h.html
(The Single UNIX ® Specification, Version 2 or 3).

Although not required by a pthread spec (as far as I can see) it might
be a good idea to include (the pthread part) unistd.h in the pthread.h
as Linux and pthreads-win32 seem to do.

-- 
Groeten,

Joost Kraaijeveld
Askesis B.V.
Molukkenstraat 14
6524NB Nijmegen
tel: 024-3888063 / 06-51855277
fax: 024-3608416
web: www.askesis.nl

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/